%global mod_name Whoosh

Name:           python-whoosh
Version:        2.4.1
Release:        2%{?dist}
Summary:        Fast, pure-Python full text indexing, search, and spell checking library 

License:        BSD 
URL:            http://pythonhosted.org/Whoosh/
Source0:        https://pypi.python.org/packages/source/W/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-sphinx

%description
Whoosh is a fast, featureful full-text indexing and searching library
implemented in pure Python. Programmers can use it to easily add search
functionality to their applications and websites. Every part of how Whoosh
works can be extended or replaced to meet your needs exactly.

%prep
%setup -q -n %{mod_name}-%{version}

%build
%{__python} setup.py build
sphinx-build docs/source docs/html
rm -f docs/html/.buildinfo
rm -rf docs/html/.doctrees

%check
%{__python} setup.py test

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc docs/html/ README.txt LICENSE.txt
%{python_sitelib}/*.egg-info/
%{python_sitelib}/whoosh

%changelog
* Mon Apr 8 2013 Robert Kuska <rkuska@redhat.com> 2.4.1-2
- Review fixes

* Fri Apr 5 2013 Robert Kuska <rkuska@redhat.com> 2.4.1-1
- Initial package
